Bug 974468 - Fedora19:Beta: Gtk-CRITICAL **: gtk_box_reorder_child: assertion `old_link != NULL' failed
Summary: Fedora19:Beta: Gtk-CRITICAL **: gtk_box_reorder_child: assertion `old_link !=...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: ppc64
OS: All
unspecified
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-14 08:52 UTC by IBM Bug Proxy
Modified: 2013-10-18 14:40 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-18 12:56:37 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
IBM Linux Technology Center 94387 0 None None None Never

Description IBM Bug Proxy 2013-06-14 08:52:25 UTC
== Comment: #0 - MANAS K. NAYAK <maknayak@in.ibm.com> - 2013-06-05 05:47:03 ==
While installing Fedora19 beta ppc64  using VNC mode , as soon as vnc session got opened with vncviewer ,noticed following failure messages on serial console of the P7 LAPR.

--- Failure messages from console screen ---
Starting installer, one moment...
anaconda 19.30-1 for Fedora 19 (pre-release) started.
09:33:36 Starting VNC...
09:33:37 The VNC server is now running. 
09:33:37 

WARNING!!! VNC server running with NO PASSWORD!
You can use the vncpassword=<password> boot option
if you would like to secure the server.

09:33:37 Please manually connect your vnc client to miz10.austin.ibm.com:1 (9.3.110.25) to begin the install.
LibThai: Fail to open dictionary at '/usr/share/libthai/thbrk.tri'.
(anaconda:881): Gtk-WARNING **: Overriding tab label for notebook
(anaconda:881): Gtk-WARNING **: Failed to get constuct only property child-model of daysFilter with value `days'
(anaconda:881): Gtk-CRITICAL **: gtk_box_reorder_child: assertion `old_link != NULL' failed
(anaconda:881): Gtk-CRITICAL **: gtk_tree_model_filter_iter_children: assertion `filter->priv->child_model != NULL' failed
(anaconda:881): Gtk-CRITICAL **: gtk_tree_model_filter_get_iter: assertion `filter->priv->child_model != NULL' failed
(anaconda:881): Gtk-CRITICAL **: gtk_tree_model_filter_get_path: assertion `GTK_TREE_MODEL_FILTER (model)->priv->stamp == iter->stamp' failed
(anaconda:881): Gtk-WARNING **: Overriding tab label for notebook

--- Steps to reproduce ---
1) boot from virtual dvd with as below:
linux ip=<ip of the server>::<gateway>:<netmask>:<host name>.com:eth0:none nameserver=<name server ip> inst.vnc noipv6
2) Once vnc server gets started , open vnc session by "vncviewer <hostname>:1"
3) As soon as you open the vnc session , you will notice gtk failures on console.

Comment 1 Ryan Hallisey 2013-06-24 19:11:16 UTC
Code from my Glade file (broken): 

  <object class="GtkTreeModelFilter" id="writable_files_treemodelfilter">
    <property name="child_model">writable_files_treestore</property>
  </object>
  <object class="GtkTreeModelSort" id="writable_files_treemodelsort">
    <property name="model">writable_files_treemodelfilter</property>
  </object>
  <object class="GtkTreeStore" id="writable_files_treestore">
    <columns>
      <!-- column-name File -->
      <column type="gchararray"/>
      <!-- column-name SELinux -->
      <column type="gchararray"/>
      <!-- column-name File1 -->
      <column type="gchararray"/>
      <!-- column-name Status -->
      <column type="gchararray"/>
    </columns>
   </object>

Problem occurs for me when Glade reorders object declarations so that the parents of the object GTKTreeStore (GtkTreeModelSort and GtkTreeModelFilter) are declared before the child.  The fix for me was to move the GTKTreeStore declaration above the two parents. In code it will look like:

  <object class="GtkTreeStore" id="writable_files_treestore">
    <columns>
      <!-- column-name File -->
      <column type="gchararray"/>
      <!-- column-name SELinux -->
      <column type="gchararray"/>
      <!-- column-name File1 -->
      <column type="gchararray"/>
      <!-- column-name Status -->
      <column type="gchararray"/>
    </columns>
  </object>
  <object class="GtkTreeModelFilter" id="writable_files_treemodelfilter">
    <property name="child_model">writable_files_treestore</property>
  </object>
  <object class="GtkTreeModelSort" id="writable_files_treemodelsort">
    <property name="model">writable_files_treemodelfilter</property>
  </object>

Comment 3 Chris Lumens 2013-08-21 19:17:26 UTC
Order in the glade files apparently definitely matters.  See 7eda993c826ac0e1927be1726a554cd3ebdcedbd.  I am curious about the status of this bug, though.  Is something being requested to be done in anaconda?

Comment 4 IBM Bug Proxy 2013-10-18 09:50:36 UTC
------- Comment From rragipal@in.ibm.com 2013-10-18 09:40 EDT-------
This behaviour is working fine in Fedora20 Alpha.

[root@juno-ioxc1-lp3 ~]# vncserver

You will require a password to access your desktops.

Password:
Verify:
xauth: (stdin):1:  bad display name "juno-ioxc1-lp3.austin.ibm.com:1" in "add" command

New 'juno-ioxc1-lp3.austin.ibm.com:1 (root)' desktop is juno-ioxc1-lp3.austin.ibm.com:1

Starting applications specified in /root/.vnc/xstartup
Log file is /root/.vnc/juno-ioxc1-lp3.austin.ibm.com:1.log

Regards,
Rajesh.

Comment 5 David Shea 2013-10-18 12:56:37 UTC
Closing per comment 4

Comment 6 IBM Bug Proxy 2013-10-18 14:40:49 UTC
------- Comment From shubgoya@in.ibm.com 2013-10-18 14:39 EDT-------
Closing from IBM side too...


Note You need to log in before you can comment on or make changes to this bug.